html, body{
    overflow-x:hidden;
    
}

.mih-dev-nav.navbar{
    position: fixed;
    width: 100%;
    z-index: 5;
}

.row.bg-warning.dorel{
    width: 100%;
    margin-top: 95px !important;
}

.mih-dev-dark{
   background-color: #1b1b1b; 
}

.mih-dev-gold{
   color: #dfaf46; 
}

.mih-dev-nav{
    background-color: #1b1b1b;
}

.mih-dev-logo-nav{
    width: 69px;
}

.selectat:hover{
    color: #dfaf46 !important;
}

.mih-dev-homepage-banner{
    width: 100%;
}

.carousel-item{
    max-height: 800px;
    overflow: hidden;
}

.imagine-banner{
    width: 100%;

}

.banner-text{
    border: 2px solid white;
    border-radius: 25px;
    background-color: #1b1b1ba8;
}

.banner-text-mobile{
    display: none;
}

.mih-dev-footer{
    background-color: #1b1b1b;
    color: white;
}

.contact{
    color: white;
}

.selectat{
    transition:0.3s;
}

.selectat:hover {
  transform: scale(1.01);
  transform-origin: bottom;
}

.border-mih-dev-gold-dark-button{
    background-color: #1b1b1b;
    margin: .5rem;
}

.border-mih-dev-gold-dark-button:hover{
    scale: 1.1;
}

a.text-white:hover{
    color: #dfaf46 !important;
}

.ti-date{
    color: black !important;
}

.inoveaza-header-image{
    object-fit: cover;
}


.image-container img {
  animation: idleMove 6s ease-in-out infinite,
             idleShadow 6s ease-in-out infinite;
}


@media (min-width: 960px){
    .adapteaza-text.fs-5{
        font-size: 1.5rem !important;
    }

    .adapteaza-title-mobile{
        display: none;
    }

    .adapteaza-title-desktop{
        display: block;
    }
}

@media (max-width: 960px){
    .carousel-caption.banner-text{
        width: 90%;
        left: 5%;
        padding: .5rem;
    }

    .carousel-caption.banner-text p{
        margin-bottom: 0;
    }

    .carousel-item{
        max-height: 100%;
    }

    .mih-dev-adapteaza{
        margin: 0;
        padding: 0;
        flex-direction: column;
    }

    .mih-dev-adapteaza-text{
        margin: 0;
        padding: 0;
        width: 100%;
    }

    .mih-dev-adapteaza-iamge{
        margin: 0;
        padding: 0;
        width: 100%;
    }

    .adapteaza-title-mobile{
        display: block;
    }

    .adapteaza-title-desktop{
        display: none;
    }

    .adapteaza-text{
       margin-top: 1rem 
    }

    .inoveaza-cuprins{
        text-align: center;
    }

    

    .mih-dev-cards{
        width: 90% !important;
    }
}

@media (max-width: 768px){

    .banner-text-mobile{
        background-color: #1b1b1b;
        color: white;
        padding: 1rem;
        width: 100%;
        text-align: center;
        display: block;
    }

}




















/*LOGIN*/



*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:"poppins",sans-serif;
}
body{
    background-color: #c9d6ff;
    background:linear-gradient(to right,#e2e2e2,#c9d6ff);
}
.container{
    background:#fff;
    width:450px;
    padding:1.5rem;
    margin:50px auto;
    border-radius:10px;
    box-shadow:0 20px 35px rgba(0,0,1,0.9);
}
form{
    margin:0 2rem;
}
.form-title{
    font-size:1.5rem;
    font-weight:bold;
    text-align:center;
    padding:1.3rem;
    margin-bottom:0.4rem;
}
input{
    color:inherit;
    width:100%;
    background-color:transparent;
    border:none;
    border-bottom:1px solid #757575;
    padding-left:1.5rem;
    font-size:15px;
}
.input-group{
    padding:1% 0;
    position:relative;

}
.input-group i{
    position:absolute;
    color:black;
}
input:focus{
    background-color: transparent;
    outline:transparent;
    border-bottom:2px solid hsl(327,90%,28%);
}
input::placeholder{
    color:transparent;
}
label{
    color:#757575;
    position:relative;
    left:1.2em;
    top:-1.3em;
    cursor:auto;
    transition:0.3s ease all;
}
input:focus~label,input:not(:placeholder-shown)~label{
    top:-3em;
    color:hsl(327,90%,28%);
    font-size:15px;
}
.recover{
    text-align:right;
    font-size:1rem;
    margin-bottom:1rem;

}
.recover a{
    text-decoration:none;
    color:rgb(125,125,235);
}
.recover a:hover{
    color:blue;
    text-decoration:underline;
}
.btn{
    font-size:1.1rem;
    padding:8px 0;
    border-radius:5px;
    outline:none;
    border:none;
    width:100%;
    background:rgb(125,125,235);
    color:white;
    cursor:pointer;
    transition:0.9s;
}
.btn:hover{
    background:#07001f;
}
.or{
    font-size:1.1rem;
    margin-top:0.5rem;
    text-align:center;
}
.icons{
    text-align:center;
}
.icons i{
    color:rgb(125,125,235);
    padding:0.8rem 1.5rem;
    border-radius:10px;
    font-size:1.5rem;
    cursor:pointer;
    border:2px solid #dfe9f5;
    margin:0 15px;
    transition:1s;
}
.icons i:hover{
    background:#07001f;
    font-size:1.6rem;
    border:2px solid rgb(125,125,235);
}
.links{
    display:flex;
    justify-content:space-around;
    padding:0 4rem;
    margin-top:0.9rem;
    font-weight:bold;
}
button{
    color:rgb(125,125,235);
    border:none;
    background-color:transparent;
    font-size:1rem;
    font-weight:bold;
}
button:hover{
    text-decoration:underline;
    color:blue;
}















/* Definim mișcarea subtilă */
@keyframes idleMove {
  0% {
    transform: scale(1) translateY(0);
  }
  50% {
    transform: scale(1.02) translateY(-3px); /* ușor mai mare și un pic ridicată */
  }
  100% {
    transform: scale(1) translateY(0);
  }
}

@keyframes idleShadow {
  0%,100% { box-shadow: 0 5px 15px rgba(0,0,0,0.2); }
  50%     { box-shadow: 0 8px 25px rgba(0,0,0,0.25); }
}